This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 1053613 (CVE-2014-1445)

Summary: CVE-2014-1445 Kernel: wanxl: information leak in ioctl
Product: [Other] Security Response Reporter: Prasad J Pandit <prasad>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED NOTABUG QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: davej, gansalmon, itamar, jforbes, jonathan, jwboyer, kernel-maint, madhu.chinakonda
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20131016,reported=20131107,source=git,cvss2=2.1/AV:L/AC:L/Au:N/C:P/I:N/A:N,rhel-5/kernel=notaffected,rhel-6/kernel=notaffected,rhel-7/kernel=notaffected,mrg-2/realtime-kernel=notaffected,fedora-all/kernel=notaffected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-06-10 09:31:35 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 1027769    

Description Prasad J Pandit 2014-01-15 09:00:30 EST
Linux kernel built with a driver for wanXL PCI cards by SBE Inc.(CONFIG_WANXL)
is vulnerable to an information leakage flaw. This could occur while doing an
ioctl(2) call.

A user/program could use this flaw to leak (two)kernel memory bytes.

Upstream fix:
-------------
 -> https://git.kernel.org/linus/2b13d06c9584b4eb773f1e80bbaedab9a1c344e1

Reference:
----------
 -> http://www.openwall.com/lists/oss-security/2014/01/15/3
Comment 1 Prasad J Pandit 2014-01-16 04:38:04 EST
Statement:

This issue does not affect the versions of the kernel package as shipped with
Red Hat Enterprise Linux 5, 6 and Red Hat Enterprise MRG 2.